Remove this ad

Lead

Oct 8 13 12:57 PM

Tags : :

Hi,

Im getiing this:

[quote]--------------------------------------------------------------------------------
A fatal error has occurred and aMule has crashed.
Please assist us in fixing this problem by posting the backtrace below in our
'aMule Crashes' forum and include as much information as possible regarding the
circumstances of this crash. The forum is located here:
http://forum.amule.org/index.php?board=67.0
If possible, please try to generate a real backtrace of this crash:
http://wiki.amule.org/index.php/Backtraces

----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
Current version is: aMule 2.3.1 compiled with wxGTK2 v2.8.12
Running on: Linux 3.8.0-30-generic x86_64

Segmentation fault (core dumped)


I have Ubuntu 13.04 and Gnome desktop environment.

I have another problem, when I open amule the amule icon are placed on the desktop, instead of with the rest of the tray icons.
Javi
Quote    Reply   
Remove this ad
Remove this ad

#5 [url]

Oct 17 13 9:20 PM

Re: Amule crashes just while downloading files

You need to build aMule with debug enabled, run it through gdb and post a backtrace so we might have an idea of what is happening.

Quote    Reply   

#6 [url]

Oct 23 13 7:07 PM

Re: Amule crashes just while downloading files

Ok, so I have downloded the amule source for 2.3.1 and I thin I should run sh ./install.sh but I dont know exactly what should I do to get debugging log. This is the output of README.Debian-Packages file:

[quote]cat README.Debian-Packages
This debian rules file controls the buildprocess of the packages of aMule you can either run
dpkg-buildpackage -us -uc -b -rfakeroot
to build them all, or you can invoke debian/rules directly with the target you want to be build. If you run
debian/rules without a target, or with the target help, this help will be printed. Other possible targets
are listed below, you can combine them as you need. amule-common, the packages with the skins and
i18n-en-gb are build everytime. The Theme for the webserver get build when you build the
webserver.

amule Builds the normal GUI-Version of aMule
ed2k Builds the ed2k-client of aMule
cas Builds the cas binary for commandline statistics
wxcas Builds the graphical version of cas
webserver Builds the webserver for controlling aMule
remotegui Builds the remote GUI for controlling aMule
daemon Builds the daemonized version of aMule
alcc Builds the ed2k-link-creation utility of aMule
alc Builds the graphical version of alcc
amulecmd Builds the commandline-client for controlling aMule
xas Enables the creation of the xas package
plasmamule Enables creation of plasma specific parts
amule-dbg Creates the debugging symbols for the amule binary
ed2k-dbg Creates the debugging symbols for the ed2k binary
cas-dbg Creates the debugging symbols for the cas binary
wxcas-dbg Creates the debugging symbols for the wxcas binary
webserver-dbg Creates the debugging symbols for the amuleweb binary
remotegui-dbg Creates the debugging symbols for the amulegui binary
daemon-dbg Creates the debugging symbols for the amuled binary
alcc-dbg Creates the debugging symbols for the alcc binary
alc-dbg Creates the debugging symbols for the alc binary
amulecmd-dbg Creates the debugging symbols for the amulecmd binary
plasmamule-dbg Creates the debugging symbols for the plasmamule stuff
amule-utils Creates the Metapackage for the commandline utilities and all these utils
* alcc
* amulecmd
* cas
amule-utils-gui Creates the Metapackage for the graphical utilities and all these utils
* alc
* remotegui
* wxcas
i18n- Builds the coresponding i18n-packge. Lang has to be one of ar, ast, bg, ca, cs,
da, de, el, es, et-ee, eu, fi, fr, gl, he, hr, hu, it, it-ch, ja, ko-kr, lt, nl,
nn, pl, pt-br, pt-pt, ro, ru, sl, sq, sv, tr, uk, zh-cn or zh-tw
If no i18n-package is given, all will be build.
If you just want en_GB, use i18n-en-only

If one of the -dbg targets is choosen, the corresponding binary will be built, too. In this case,
debugging is enabled, optimising is disabled. Is no -dbg target choosen, debugging is disabled,
optimising is enabled.

If you choose to just build a few packages, you have to explicit activate ed2k or xas if
you want to get the pkg's

The targets can be given in any order and combination

Quote    Reply   

#8 [url]

Oct 26 13 10:26 PM

Re: Amule crashes just while downloading files

Im getting this erro after run make:

[quote]make
Making all in docs
Making all in man
Making all in src
Making all in libs
Making all in common
Making all in ec
Making all in cpp
Making all in utils
Making all in cas
Making all in docs
Making all in wxCas
Making all in src
Making all in docs
Making all in aLinkCreator
Making all in src
Making all in docs
Making all in pixmaps
Making all in flags_xpm
Making all in webserver
Making all in default
Making all in src
Making all in skins
Compiling DownloadQueue.cpp
In file included from DownloadQueue.h:30:0,
from DownloadQueue.cpp:26:
ObservableQueue.h: In instantiation of ‘void CObservableQueue::ObserverAdded(CObservableQueue::ObserverType*) [with ValueType = CPartFile*; CObservableQueue::ObserverType = CObserver >]’:
DownloadQueue.cpp:1528:32: required from here
ObservableQueue.h:334:2: error: ‘NotifyObservers’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
ObservableQueue.h:334:2: note: declarations in dependent base ‘CObservable >’ are not found by unqualified lookup
ObservableQueue.h:334:2: note: use ‘this->NotifyObservers’ instead
ObservableQueue.h: In instantiation of ‘void CObservableQueue::ObserverRemoved(CObservableQueue::ObserverType*) [with ValueType = CPartFile*; CObservableQueue::ObserverType = CObserver >]’:
DownloadQueue.cpp:1665:1: required from here
ObservableQueue.h:341:2: error: ‘NotifyObservers’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
ObservableQueue.h:341:2: note: declarations in dependent base ‘CObservable >’ are not found by unqualified lookup
ObservableQueue.h:341:2: note: use ‘this->NotifyObservers’ instead
make[3]: *** [amule-DownloadQueue.o] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

Quote    Reply   

#9 [url]

Oct 26 13 10:28 PM

Re: Amule crashes just while downloading files

These are the warning after ./cofigure...:


[quote] *** Warnings during configuration ***

* gd-lib >= 2.0.0, or a functional gd.h (from gd-devel) not found.
Please check that gdlib-config is in your default path, check out
LD_LIBRARY_PATH or equivalent variable.
Or this might also be that your gdlib-config has other name.
Please try again with --with-gdlib-config=/usr/bin/gdlib-config (replace
/usr/bin/gdlib-config with a valid path to your gdlib-config).
If you use compiled packages check if you have devel pack installed.
To download the latest version check http://www.boutell.com/gd for sources.

* GeoIP support has been disabled because the GeoIP header files were not
found

* UPnP code has been disabled because libupnp >= 1.6.6 not found (try to use --with-libupnp-prefix=PREFIX).

* You need to install GNU gettext/gettext-tools to compile aMule with i18n
support.

* bfd.h not found or unusable, please install binutils development package if
you are a developer or want to help testing aMule

Quote    Reply   

#10 [url]

Oct 27 13 12:19 PM

Re: Amule crashes just while downloading files

Please install all packages mentioned in the wiki article which are
g++
binutils-dev
libcrypto++-dev
libgtk2.0-dev
libgd2-xpm-dev
zlib1g-dev

Quote    Reply   
Remove this ad

#11 [url]

Oct 27 13 12:33 PM

Re: Amule crashes just while downloading files

IMHO it's better that you try to build the current SVN sources: the compilation error about ObservableQueue.h has benn fixed in rev10772.

And as regards the other problems: looking at your compilation results probably you need to install some tools/development packages.

In my very old Ubuntu machine, I have installed:
- libupnp6-dev
- libreadline-dev
- autotools-dev
- libpng12-dev
- binutils-dev
- libgeoip-dev (if you want GEOIP functionality)
- wx-common
- libwxbase2.8-dev
- libwxgtk2.8-dev
- libcrypto++-dev
- gettext
- autopoint
- autotools-dev
- automake

This packages are currently installed in my Ubuntu machine, but remember that I use that machine for a lot of things, so probably some packages are not needed and some required are still not in the list (I used my BAD memory to write this list).
And remember also that I started (well, some Ubuntu versions ago...) with the link posted by Stu, so as first read it (but I guess that you already did it).

If you are planning to build current SVN version, I also suggest to download boost sources and use the configure option

--with-boost=

(as someone once suggested to me )

Hope that this can help!

Bye,
Mr Hyde

Quote    Reply   

#13 [url]

Oct 27 13 6:25 PM

Re: Amule crashes just while downloading files

No. I was just lazily quoting from the wiki article while you figured out the real problem. I didn't remember 2.3.1 doesn't compile with that new gcc.

Quote    Reply   

#14 [url]

Oct 28 13 10:39 AM

Re: Amule crashes just while downloading files

Abaout which ubuntu release are we talking? atm I have packages for precise, quantal and raring at rev 10806. 10807 is being prepared whit dropped quantal and added saucy within the next 2 days or so.

Quote    Reply   

#16 [url]

Oct 29 13 9:32 AM

Re: Amule crashes just while downloading files

Also on Ubuntu I have been having the same (or at least a similar issue) and have collected a core dump as below. It occurs even after a new install of ubuntu and amule. aMule will typically run for a while, sometimes hours, sometimes days before crashing. I suspect slow memory corruption of some kind

gdb /usr/bin/amule core
GNU gdb (GDB) 7.6.1-ubuntu
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
...
Reading symbols from /usr/bin/amule...(no debugging symbols found)...done.
[New LWP 30972]
[New LWP 30986]
[New LWP 30234]
[New LWP 30235]
[New LWP 30270]
[New LWP 30269]
[New LWP 30943]
[New LWP 30953]
[New LWP 30954]
[New LWP 30968]
[New LWP 30944]
[New LWP 30958]
[New LWP 30957]
[New LWP 30942]

warning: Can't read pathname for load map: Input/output error.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `amule'.
Program terminated with signal 11, Segmentation fault.
#0 malloc_consolidate (av=av@entry=0x7f0b6c000020) at malloc.c:4094
4094 malloc.c: No such file or directory.
(gdb) where
#0 malloc_consolidate (av=av@entry=0x7f0b6c000020) at malloc.c:4094
#1 0x00007f0ba13220e1 in _int_malloc (av=0x7f0b6c000020, bytes=1816) at malloc.c:3379
#2 0x00007f0ba13244d0 in __GI___libc_malloc (bytes=1816) at malloc.c:2859
#3 0x00007f0ba13b346f in __backtrace_symbols (array=0x7f0b635f6fd0, size=20) at backtracesyms.c:71
#4 0x00000000005ceac9 in ?? ()
#5 0x00000000005cfbff in ?? ()
#6 0x000000000045d8ff in ?? ()
#7 0x00007f0ba23af6cc in wxFatalSignalHandler () from /usr/lib/x86_64-linux-gnu/libwx_baseu-2.8.so.0
#8
#9 0x00007f0ba007f85b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f0ba007fa79 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f0ba008132e in g_source_remove () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007f0ba2a2334a in GSocketGUIFunctionsTableConcrete::Install_Callback(GSocket*, GSocketEvent) ()
from /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-2.8.so.0
#13 0x00007f0ba2640422 in GSocket::Write(char const*, int) () from /usr/lib/x86_64-linux-gnu/libwx_baseu_net-2.8.so.0
#14 0x00007f0ba263bff9 in wxSocketBase::_Write(void const*, unsigned int) () from /usr/lib/x86_64-linux-gnu/libwx_baseu_net-2.8.so.0
#15 0x00007f0ba263c034 in wxSocketBase::Write(void const*, unsigned int) () from /usr/lib/x86_64-linux-gnu/libwx_baseu_net-2.8.so.0
#16 0x000000000059e2d4 in ?? ()
#17 0x00000000004a5f50 in ?? ()
#18 0x00000000004a48c1 in ?? ()
#19 0x0000000000485d79 in ?? ()
#20 0x00000000004e9334 in ?? ()
#21 0x00007f0ba23ab653 in wxThreadInternal:threadStart(wxThread*) () from /usr/lib/x86_64-linux-gnu/libwx_baseu-2.8.so.0
#22 0x00007f0ba1670f6e in start_thread (arg=0x7f0b635f8700) at pthread_create.c:311
#23 0x00007f0ba139b9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
(gdb)

Quote    Reply   

#17 [url]

Oct 29 13 10:43 PM

Re: Amule crashes just while downloading files

Hm, GSocket crash.
zod, are you using wxWidgets 2.8.12?
You could also try the SVN version and build it with Boost Asio sockets instead of wx sockets.

Quote    Reply   

#20 [url]

Oct 31 13 11:06 PM

Re: Amule crashes just while downloading files

Where can I get the rev10772? the only thing I can see is this:

http://sourceforge.net/projects/amule/

is that ok? don't think so.. cos it says: 2013-05-07

Quote    Reply   
Remove this ad
Add Reply

Quick Reply

bbcode help